## imcode.util
Class IdObjectPair

    java.lang.Object
      imcode.util.IdObjectPair

All Implemented Interfaces:
  java.io.Serializable

    public class IdObjectPair

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`IdObjectPair(int id, java.lang.Object object)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `getId()`
`java.lang.Object` `getObject()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdObjectPair

    public IdObjectPair(int id,
                        java.lang.Object object)

Method Detail

### getId

    public int getId()

### getObject

    public java.lang.Object getObject()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`